Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QFtp.Error

    java.lang.Object
      java.lang.Enum<QFtp.Error>
          com.trolltech.qt.network.QFtp.Error

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFtp.Error>

Enclosing class:
  QFtp

    public static enum QFtp.Error

extends java.lang.Enum<QFtp.Error>
implements QtEnumerator

This enum identifies the error that occurred.

See Also:
  `error`

Enum Constant Summary
`ConnectionRefused` The server refused the connection.
`HostNotFound` The host name lookup failed.
`NoError` No error occurred.
`NotConnected` Tried to send a command, but there is no connection to a server.
`UnknownError` An error other than those specified above occurred.

Method Summary
`static QFtp.Error` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.Error` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFtp.Error[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoError

    public static final QFtp.Error NoError

  No error occurred.

### UnknownError

    public static final QFtp.Error UnknownError

  An error other than those specified above occurred.

### HostNotFound

    public static final QFtp.Error HostNotFound

  The host name lookup failed.

### ConnectionRefused

    public static final QFtp.Error ConnectionRefused

  The server refused the connection.

### NotConnected

    public static final QFtp.Error NotConnected

  Tried to send a command, but there is no connection to a server.

Method Detail

### values

    public static final QFtp.Error[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFtp.Error c : QFtp.Error.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFtp.Error valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.Error resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD